Apikeys
Create an API key for yourself (tenant)
Authorization
ApiKeyAuth AGENTBOX-API-KEY<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api-keys" \ -H "Content-Type: application/json" \ -d '{}'{ "apiKey": "string", "keyId": "string", "user": "string", "team": "string", "role": "string", "description": "string", "issuedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z"}{ "error": "string", "errorCode": "API_KEY_REQUIRED", "detail": null}{ "error": "string", "errorCode": "API_KEY_REQUIRED", "detail": null}Promote a local API key to global (admin) POST
Elevates a locally-created API key to a global key by syncing it through the ws-proxy manager to all connected Worker clusters. The key must not already be global. Requires an active ws-proxy connection.
Delete one of your own API keys (tenant) DELETE
Next Page